## f_mkdir

The f_mkdir function creates a new directory.

    FRESULT f_mkdir (
      const TCHAR* path /* [IN] Directory name */
    );

#### Parameter

path
  Pointer to the null-terminated string that specifies the directory name to create.

#### Return Value

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_PATH, FR_INVALID_NAME, FR_DENIED, FR_EXIST, FR_WRITE_PROTECTED, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

This function creates a new directory. To remove a directory, use `f_unlink` function.

#### QuickInfo

Available when `_FS_READONLY == 0` and `_FS_MINIMIZE == 0`.

#### Example

        res = f_mkdir("sub1");
        if (res) die(res);
        res = f_mkdir("sub1/sub2");
        if (res) die(res);
        res = f_mkdir("sub1/sub2/sub3");
        if (res) die(res);

Return